page,132

;EM	LIBENTRY.ASM - DLL Entry point
;
;	Copyright 1992, Cherry Hill Software
;
;	SUMMARY
;	    This module contains the library entry point.
;	    We simply push parameters and pass control
;	    to a C-language entry point.
;

.xlist
DOS5=1	    ; suppress real-mode windows support
include cmacros.inc
include segs.inc
.list
?WIN=1	    ; Use Windows entry/exit code

sBegin	INIT_TEXT
assumes CS,INIT_TEXT

if 0 ;
?PLM=0	; i.e. _cdecl
externA  <_acrtused>		; force loading of C run time initialization
endif ;

?PLM=1	; i.e. _pascal
externFP <LIBMAIN>		; C-language entry point


;EP	LibEntry - Library Entry Point
;
;	ENTRY
;	    DI = library instance handle
;	    DS = default data segment
;	    CX = default heap size
;	    ES:SI = address of command line string
;
;	EXIT
;	    SUCCESS
;		AX != 0
;	    FAILURE
;		AX == 0
;
;	COMMENTS
;	    We simply call the C-language entry point
;

cProc	LibEntry, <PUBLIC,FAR>

cBegin
	cCall	LIBMAIN,<di,ds,cx,es,si>
cEnd

sEnd	INIT_TEXT

end LibEntry
